## org.apache.fop.pdf
Class PDFTTFStream

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFStream
                  |
                  +--org.apache.fop.pdf.PDFTTFStream

public class PDFTTFStream
extends PDFStream

Fields inherited from class org.apache.fop.pdf.PDFStream
`_data`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFTTFStream(int num, int len)`

Method Summary
`protected int` `output(java.io.OutputStream stream)` write the PDF represention of this object
`void` `setData(byte[] data, int size)`

Methods inherited from class org.apache.fop.pdf.PDFStream
`add, addDefaultFilters, addFilter, addFilter, addImageArray, applyFilters, getData, getDataLength, outputStreamData, setData, toPDF`

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFTTFStream

    public PDFTTFStream(int num,
                        int len)

Method Detail

### output

    protected int output(java.io.OutputStream stream)
                  throws java.io.IOException

  Description copied from class: PDFObject
  write the PDF represention of this object
  Overrides:
    output in class PDFStream
  Tags copied from class: PDFObject
  Parameters:
    `stream` - the stream to write the PDF to
  Returns:
    the number of bytes written

### setData

    public void setData(byte[] data,
                        int size)
                 throws java.io.IOException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.